<ion-header>
  <ion-navbar>
    <ion-title>{{level_name}}</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-list>
    <ion-item *ngFor="let item of list_data; let i = index">
      <ion-avatar class="icon-lesson" item-start style="text-align: center;">
        <div>{{ i + 1 }}</div>
      </ion-avatar>
      <h2>
        <strong>{{ item.Name }}</strong>
      </h2>

      <div >
        <i class="fa fa-history" style="font-size:20px; vertical-align: middle; color: #f1c40f;"></i>
        <p style="display: inline; vertical-align: middle;"> {{ item.LastTestDate }}</p>
      </div>

      <div >
        <i class="fa fa-star" style="font-size:20px; vertical-align: middle; color: #f1c40f;"></i>
        <p style="display: inline; vertical-align: middle;"> {{ item.LastTestPoint }}</p>
      </div>
      <div item-end>
        <div>
          <button ion-button (click)="onClickLearn(item.ID)">Learn</button>
        </div>
        <div>
          <button ion-button (click)="onClickTest(item.ID, i)">Test</button>
        </div>
      </div>

    </ion-item>
  </ion-list>
</ion-content>
